Subject: Re: [PATCH V8 03/10] USB/ppc4xx: Add Synopsys DWC OTG Core InterfaceLayer

From: Greg KH <[email-masked]>
Date: Mon, 14 Feb 2011 17:04:16 -0800

On Mon, Feb 14, 2011 at 08:53:21AM -0000, David Laight wrote:
>  
> > > Sorry, I don't understand that. I think u32 is always 32bit 
> > > 4byte on all archs. Right?
> > 
> > Yes.
> > 
> > Use an unsigned long if you want to hold a pointer correctly on all
> > arches.
> 
> Although that is true for many systems (and probably all ppc Linux)
> it isn't necessarily true (eg 64 bit Microsoft Windows).

Again, it is true for all Linux architectures.  We aren't caring about
any other operating systems here, sorry.

> C99 inttypes.h should define uintptr_t as an unsigned integer
> type that is large enough to hold a (data) pointer.
> I'm not sure if this is defined for the Linux kernel.

uint* aren't to be used within the kernel as they make no sense.

thanks,

greg k-h